Ceosal1=read.table(file="./databrut/Wooldridge/CEOSAL1.raw",header=T)
attach(Ceosal1)
firm=indus+2*finance+3*consprod+4*utility
firm=recode(firm,"1='indus';2='finance';3='consprod';4='utility'",as.factor.result=T)
Ceosal1=data.frame(salary,pcsalary,sales,roe,pcroe,ros,firm)
save(file="./data/Ceosal1.rda",Ceosal1)
detach(Ceosal1)
write.table(file="./datatxt/Ceosal1.txt",row.names=F,quote=F,Ceosal1)

Vote1=read.table(file="./databrut/Wooldridge/VOTE1.raw",header=T)
Vote1=Vote1[,1:7]
save(file="./data/Vote1.rda",Vote1)
write.table(file="./datatxt/Vote1.txt",row.names=F,quote=F,Vote1)

Meap93=read.table(file="./databrut/Wooldridge/MEAP93.raw",header=T)[,1:11]
save(file="./data/Meap93.rda",Meap93)
write.table(file="./datatxt/Meap93.txt",row.names=F,quote=F,Meap93)

Bwght=read.table(file="./databrut/Wooldridge/BWGHT.raw",header=T,na.strings=".")
Bwght$sexe=recode(Bwght$male,"1='male';0='female'",as.factor.result=T)
Bwght$white=recode(Bwght$white,"1='yes';0='no'",as.factor.result=T)
Bwght=Bwght[,-8]
Bwght=Bwght[,c(1:9,11:12,14)]
save(file="./data/Bwght.rda",Bwght)
write.table(file="./datatxt/Bwght.txt",row.names=F,quote=F,Bwght)

K401=read.table(file="./databrut/Wooldridge/401K.raw",header=T)[,-8]
K401$sole=recode(K401$sole,"1='yes';0='no'",as.factor.result=T)
save(file="./data/K401.rda",K401)
write.table(file="./datatxt/K401.txt",row.names=F,quote=F,K401)

Ceosal2=read.table(file="./databrut/Wooldridge/CEOSAL2.raw",header=T)
attach(Ceosal2)
college=recode(college,"1='yes';0='no'")
grad=recode(grad,"1='yes';0='no'")
Ceosal2=data.frame(salary,age,college,grad,comten,ceoten,sales,profits,mktval)
detach(Ceosal2)
save(file="./data/Ceosal2.rda",Ceosal2)
write.table(file="./datatxt/Ceosal2.txt",row.names=F,quote=F,Ceosal2)
rm(list=ls())

Sleep75=read.table(file="./databrut/Wooldridge/SLEEP75.raw",header=T)
attach(Sleep75)
black=recode(black,"1='yes';0='no'")
clerical=recode(clerical,"1='yes';0='no'")
construc=recode(construc,"1='yes';0='no'")
gdhlth=recode(gdhlth,"1='yes';0='no'")
inlf=recode(inlf,"1='yes';0='no'")
smsa=recode(smsa,"1='yes';0='no'")
sexe=recode(inlf,"1='male';0='female'")
marr=recode(marr,"1='yes';0='no'")
prot=recode(prot,"1='yes';0='no'")
selfe=recode(selfe,"1='yes';0='no'")
south=recode(south,"1='yes';0='no'")
spwrk75=recode(spwrk75,"1='yes';0='no'")
union=recode(union,"1='yes';0='no'")
yngkid=recode(yngkid,"1='yes';0='no'")
Sleep75=data.frame(age,black,clerical,construc,educ,earns74,gdhlth,inlf,leis1,leis2,leis3,smsa,lhrwage,lothinc,sexe,marr,prot,rlxall,selfe,sleep,slpnaps,south,spsepay,spwrk75,totwrk,union,worknrm,workscnd,exper,yngkid,yrsmarr,hrwage)
save(file="./data/Sleep75.rda",Sleep75)
write.table(file="./datatxt/Sleep75.txt",row.names=F,quote=F,Sleep75)
rm(list=ls())

Wage2=read.table(file="./databrut/Wooldridge/WAGE2.raw",header=T,na.string=".")
attach(Wage2)
black=recode(black,"1='yes';0='no'")
urban=recode(urban,"1='yes';0='no'")
married=recode(married,"1='yes';0='no'")
south=recode(south,"1='yes';0='no'")
iq=IQ
kww=KWW
Wage2=data.frame(wage,hours,iq,kww,educ,exper,tenure,age,married,black,south,urban,sibs,brthord,meduc,feduc)
save(file="./data/Wage2.rda",Wage2)
write.table(file="./datatxt/Wage2.txt",row.names=F,quote=F,Wage2)

Rdchem=read.table(file="./databrut/Wooldridge/RDCHEM.raw",header=T,na.string=".")[,1:3]
save(file="./data/Rdchem.rda",Rdchem)
write.table(file="./datatxt/Rdchem.txt",row.names=F,quote=F,Rdchem)


Gpa1=read.table(file="./databrut/Wooldridge/GPA1.raw",header=T,na.string=".")
attach(Gpa1)
cesquoi=soph+2*junior+3*senior+4*senior5
cesquoi=recode(cesquoi,"1='sophomore';2='junior';3='senior';4='fifthyearsenior'",as.factor.result=T)
sexe=recode(male,"1='male';0='female'",as.factor.result=T)
campus=recode(campus,"1='yes';2='no'",as.factor.result=T)
major=business+2*engineer
major=recode(major,"1='business';2='engineer'",as.factor.result=T)
hsgpa=hsGPA
colgpa=colGPA
act=ACT
job=job19+2*job20
job=recode(job,"1='leq19';2='geq20';0='none'")
transport=drive+2*bike+3*walk
transport=recode(transport,"1='drive';2='bike';3='walk'")
voluntr=recode(voluntr,"1='yes';0='no'")
pc=recode(PC,"1='yes';0='no'")
greek=recode(greek,"1='yes';0='no'")
car=recode(car,"1='yes';0='no'")
siblings=recode(siblings,"1='yes';0='no'")
bgfriend=recode(bgfriend,"1='yes';0='no'")
clubs=recode(clubs,"1='yes';0='no'")
gradmi=recode(gradMI,"1='yes';0='no'")
fathcoll=recode(fathcoll,"1='yes';0='no'")
mothcoll=recode(mothcoll,"1='yes';0='no'")
Gpa1=data.frame(age,cesquoi,sexe,campus,major,colgpa,hsgpa,act,job,transport,voluntr,pc,greek,car,siblings,bgfriend,clubs,skipped,alcohol,gradmi,fathcoll,mothcoll)
write.table(file="./datatxt/Gpa1.txt",row.names=F,quote=F,Gpa1)
save(file="./data/Gpa1.rda",Gpa1)

Crime1=read.table(file="./databrut/Wooldridge/CRIME1.raw",header=T,na.string=".")
attach(Crime1)
narr=narr86
nfarr=nfarr86
nparr=nparr86
ptime=ptime86
qemp=qemp86
inc=inc86
race=black+2*hispan
race=recode(race,"1='black';2='hispanic';0='other'",as.factor.result=T)
born60=recode(born60,"1='yes';0='no'",as.factor.result=T)
Crime1=data.frame(narr,nfarr,nparr,pcnv,avgsen,tottime,ptime,qemp,inc,durat,race,born60)
save(file="./data/Crime1.rda",Crime1)
write.table(file="./datatxt/Crime1.txt",row.names=F,quote=F,Crime1)


Wage1=read.table(file="./databrut/Wooldridge/WAGE1.raw",header=T,na.string=".")
attach(Wage1)
race=recode(nonwhite,"1='nonwhite';0='white'",as.factor.result=T)
sexe=recode(female,"1='female';0='male'",as.factor.result=T)
married=recode(married,"1='yes';0='no'",as.factor.result=T)
smsa=recode(smsa,"1='yes';0='no'",as.factor.result=T)
region=northcen+2*south+3*west
region=recode(region,"1='northcentral';2='south';3='west';0='other'",as.factor.result=T)
industry=construc+2*ndurman+3*trcommpu+4*trade+5*services+6*profserv
industry=recode(industry,"1='construction';2='nondurables';3='transport.commun.pubut';4='trade';5='services';6='prof.serv';0='other'",as.factor.result=T)
occupation=profocc+2*clerocc+3*servocc
occupation=recode(occupation,"1='profess';2='clerical';3='service';0='other'",as.factor.result=T)
Wage1=data.frame(wage,educ,exper,tenure,race,sexe,married,numdep,smsa,region,industry,occupation)
save(file="./data/Wage1.rda",Wage1)
write.table(file="./datatxt/Wage1.txt",row.names=F,quote=F,Wage1)
